import { TransactionBuilder, Instruction } from "@orca-so/common-sdk";
import { Context } from "./context";
import * as ixs from "./instructions";
export declare class Methods {
    ctx: Context;
    ix: Instruction | null | undefined;
    constructor(ctx: Context, ix?: Instruction);
    initializePlatform(params: ixs.InitializePlatformParams): Promise<this>;
    createProperty(params: ixs.CreatePropertyParams): Promise<this>;
    purchasePropertyToken(params: ixs.PurchasePropertyTokenParams): Promise<this>;
    claimPropertyToken(params: ixs.ClaimPropertyTokenParams): Promise<this>;
    claimPublicSalePropertyToken(params: ixs.ClaimPublicSalePropertyTokenParams): Promise<this>;
    updateProperty(params: ixs.UpdatePropertyParams): Promise<this>;
    withdrawToken(params: ixs.WithdrawTokenParams): Promise<this>;
    changeMintTokenPlatform(params: ixs.ChangeMintTokenPlatformParams): Promise<this>;
    grantBurnRole(params: ixs.GrantBurnRoleParams): Promise<this>;
    revokeBurnRole(params: ixs.RevokeBurnRoleParams): Promise<this>;
    initializeBurn(params: ixs.InitializeBurnParams): Promise<this>;
    updateBurnConfig(params: ixs.UpdateBurnConfigParams): Promise<this>;
    burnerUpdateBurnConfig(params: ixs.UpdateBurnConfigParams): Promise<this>;
    swapToken(params: ixs.SwapTokenParams): Promise<this>;
    burnToken(params: ixs.BurnTokenParams): Promise<this>;
    toTx(): TransactionBuilder;
}
